Page MenuHomePhabricator

Implement serialization for Sprint Data
Closed, DeclinedPublic3 Estimated Story Points

Description

A useful function of reporting is the ability to export data for external analysis. Phabricator currently does not offer this, but the Sprint extension could. Serialization of Task, Workboard and Event Data for export would be a nice feature.

Event Timeline

Christopher raised the priority of this task from to Needs Triage.
Christopher updated the task description. (Show Details)
Christopher added a subscriber: Christopher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 11 2015, 7:24 PM
Christopher set Security to None.Mar 27 2015, 1:21 PM
Christopher edited a custom field.

Implemented csv data export on phab08 using tableTools.js. Only does tasks and events currently. See demo here: https://phab08.wmflabs.org/project/sprint/burn/34/

Production implementation ties in with T91207. Need some help / suggestions on the best way to have puppet load library static files (not js or css, only images, etc.) into $base_dir/webroot/rsrc.

Maybe something like:

file { '{phabdir}/phabricator/webroot/rsrc/libext':
     ensure  => file,
     source  => 'puppet:///modules/phabricator/libext',
     recurse => true,
     mode    => '0644',
 }

@mmodell export is not working because static files are not linked

Change 209250 had a related patch set uploaded (by Christopher Johnson (WMDE)):
changes webroot static path from /rsrc/libext to /rsrc/sprint

https://gerrit.wikimedia.org/r/209250

Change 209250 merged by 20after4:
changes webroot static path from /rsrc/libext to /rsrc/sprint

https://gerrit.wikimedia.org/r/209250

Change 209847 had a related patch set uploaded (by 20after4):
Deploy hotfixes for phabricator sprint extension bugs:

https://gerrit.wikimedia.org/r/209847

Change 209847 merged by Dzahn:
Deploy hotfixes for phabricator sprint extension bugs:

https://gerrit.wikimedia.org/r/209847

Christopher triaged this task as Low priority.Dec 3 2015, 8:11 AM
Christopher closed this task as Declined.Mar 7 2016, 5:25 AM